searchData={"items":[{"type":"behaviour","title":"CaseStyle","doc":"Library from converting to different `CaseSyle`s\n\nCurrently implemented:\n- `CaseStyle.CamelCase`\n- `CaseStyle.SnakeCase`\n- `CaseStyle.KebabCase`","ref":"CaseStyle.html"},{"type":"function","title":"CaseStyle.camel_to_kebab/1","doc":"Converts from `CaseStyle.CamelCase` to `CaseStyle.KebabCase`","ref":"CaseStyle.html#camel_to_kebab/1"},{"type":"function","title":"CaseStyle.camel_to_kebab!/1","doc":"same as `camel_to_kebab` but return a string on success and raises on error on failure","ref":"CaseStyle.html#camel_to_kebab!/1"},{"type":"function","title":"CaseStyle.camel_to_pascal/1","doc":"Converts from `CaseStyle.CamelCase` to `CaseStyle.PascalCase`","ref":"CaseStyle.html#camel_to_pascal/1"},{"type":"function","title":"CaseStyle.camel_to_pascal!/1","doc":"same as `camel_to_pascal` but return a string on success and raises on error on failure","ref":"CaseStyle.html#camel_to_pascal!/1"},{"type":"function","title":"CaseStyle.camel_to_snake/1","doc":"Converts from `CaseStyle.CamelCase` to `CaseStyle.SnakeCase`","ref":"CaseStyle.html#camel_to_snake/1"},{"type":"function","title":"CaseStyle.camel_to_snake!/1","doc":"same as `camel_to_snake` but return a string on success and raises on error on failure","ref":"CaseStyle.html#camel_to_snake!/1"},{"type":"function","title":"CaseStyle.from_string/2","doc":"parse given input with the given module\n\n```elixir\niex> CaseStyle.from_string(\"snake_case\", CaseStyle.SnakeCase)\n{:ok,\n   %CaseStyle{\n     from_type: CaseStyle.SnakeCase,\n     tokens: [\n       %CaseStyle.Tokens.Start{},\n       %CaseStyle.Tokens.FirstLetter{value: ~c\"s\"},\n       %CaseStyle.Tokens.Char{value: ~c\"n\"},\n       %CaseStyle.Tokens.Char{value: ~c\"a\"},\n       %CaseStyle.Tokens.Char{value: ~c\"k\"},\n       %CaseStyle.Tokens.Char{value: ~c\"e\"},\n       %CaseStyle.Tokens.Spacing{},\n       %CaseStyle.Tokens.AfterSpacingChar{value: ~c\"c\"},\n       %CaseStyle.Tokens.Char{value: ~c\"a\"},\n       %CaseStyle.Tokens.Char{value: ~c\"s\"},\n       %CaseStyle.Tokens.Char{value: ~c\"e\"},\n       %CaseStyle.Tokens.End{}\n     ]\n   }\n}\n```","ref":"CaseStyle.html#from_string/2"},{"type":"function","title":"CaseStyle.graphql_to_snake/1","doc":"Converts from `CaseStyle.GraphQLCase` to `CaseStyle.SnakeCase`","ref":"CaseStyle.html#graphql_to_snake/1"},{"type":"function","title":"CaseStyle.graphql_to_snake!/1","doc":"same as `graphql_to_snake` but return a string on success and raises on error on failure","ref":"CaseStyle.html#graphql_to_snake!/1"},{"type":"function","title":"CaseStyle.kebab_to_camel/1","doc":"Converts from `CaseStyle.KebabCase` to `CaseStyle.CamelCase`","ref":"CaseStyle.html#kebab_to_camel/1"},{"type":"function","title":"CaseStyle.kebab_to_camel!/1","doc":"same as `kebab_to_camel` but return a string on success and raises on error on failure","ref":"CaseStyle.html#kebab_to_camel!/1"},{"type":"function","title":"CaseStyle.kebab_to_pascal/1","doc":"Converts from `CaseStyle.KebabCase` to `CaseStyle.PascalCase`","ref":"CaseStyle.html#kebab_to_pascal/1"},{"type":"function","title":"CaseStyle.kebab_to_pascal!/1","doc":"same as `kebab_to_pascal` but return a string on success and raises on error on failure","ref":"CaseStyle.html#kebab_to_pascal!/1"},{"type":"function","title":"CaseStyle.kebab_to_snake/1","doc":"Converts from `CaseStyle.KebabCase` to `CaseStyle.SnakeCase`","ref":"CaseStyle.html#kebab_to_snake/1"},{"type":"function","title":"CaseStyle.kebab_to_snake!/1","doc":"same as `kebab_to_snake` but return a string on success and raises on error on failure","ref":"CaseStyle.html#kebab_to_snake!/1"},{"type":"callback","title":"CaseStyle.matches?/1","doc":"","ref":"CaseStyle.html#c:matches?/1"},{"type":"type","title":"CaseStyle.nimble_parsec_error/0","doc":"","ref":"CaseStyle.html#t:nimble_parsec_error/0"},{"type":"callback","title":"CaseStyle.parse/1","doc":"","ref":"CaseStyle.html#c:parse/1"},{"type":"type","title":"CaseStyle.parser_output/0","doc":"","ref":"CaseStyle.html#t:parser_output/0"},{"type":"function","title":"CaseStyle.pascal_to_camel/1","doc":"Converts from `CaseStyle.PascalCase` to `CaseStyle.CamelCase`","ref":"CaseStyle.html#pascal_to_camel/1"},{"type":"function","title":"CaseStyle.pascal_to_camel!/1","doc":"same as `pascal_to_camel` but return a string on success and raises on error on failure","ref":"CaseStyle.html#pascal_to_camel!/1"},{"type":"function","title":"CaseStyle.pascal_to_kebab/1","doc":"Converts from `CaseStyle.PascalCase` to `CaseStyle.KebabCase`","ref":"CaseStyle.html#pascal_to_kebab/1"},{"type":"function","title":"CaseStyle.pascal_to_kebab!/1","doc":"same as `pascal_to_kebab` but return a string on success and raises on error on failure","ref":"CaseStyle.html#pascal_to_kebab!/1"},{"type":"function","title":"CaseStyle.pascal_to_snake/1","doc":"Converts from `CaseStyle.PascalCase` to `CaseStyle.SnakeCase`","ref":"CaseStyle.html#pascal_to_snake/1"},{"type":"function","title":"CaseStyle.pascal_to_snake!/1","doc":"same as `pascal_to_snake` but return a string on success and raises on error on failure","ref":"CaseStyle.html#pascal_to_snake!/1"},{"type":"function","title":"CaseStyle.snake_to_camel/1","doc":"Converts from `CaseStyle.SnakeCase` to `CaseStyle.CamelCase`","ref":"CaseStyle.html#snake_to_camel/1"},{"type":"function","title":"CaseStyle.snake_to_camel!/1","doc":"same as `snake_to_camel` but return a string on success and raises on error on failure","ref":"CaseStyle.html#snake_to_camel!/1"},{"type":"function","title":"CaseStyle.snake_to_graphql/1","doc":"Converts from `CaseStyle.SnakeCase` to `CaseStyle.GraphQLCase`","ref":"CaseStyle.html#snake_to_graphql/1"},{"type":"function","title":"CaseStyle.snake_to_graphql!/1","doc":"same as `snake_to_graphql` but return a string on success and raises on error on failure","ref":"CaseStyle.html#snake_to_graphql!/1"},{"type":"function","title":"CaseStyle.snake_to_kebab/1","doc":"Converts from `CaseStyle.SnakeCase` to `CaseStyle.KebabCase`","ref":"CaseStyle.html#snake_to_kebab/1"},{"type":"function","title":"CaseStyle.snake_to_kebab!/1","doc":"same as `snake_to_kebab` but return a string on success and raises on error on failure","ref":"CaseStyle.html#snake_to_kebab!/1"},{"type":"function","title":"CaseStyle.snake_to_pascal/1","doc":"Converts from `CaseStyle.SnakeCase` to `CaseStyle.PascalCase`","ref":"CaseStyle.html#snake_to_pascal/1"},{"type":"function","title":"CaseStyle.snake_to_pascal!/1","doc":"same as `snake_to_pascal` but return a string on success and raises on error on failure","ref":"CaseStyle.html#snake_to_pascal!/1"},{"type":"type","title":"CaseStyle.t/0","doc":"","ref":"CaseStyle.html#t:t/0"},{"type":"callback","title":"CaseStyle.to_string/1","doc":"","ref":"CaseStyle.html#c:to_string/1"},{"type":"function","title":"CaseStyle.to_string/2","doc":"dump given input with the given module\n\n```elixir\niex> input = %CaseStyle{\n...>  from_type: CaseStyle.SnakeCase,\n...>  tokens: [\n...>   %CaseStyle.Tokens.Start{},\n...>   %CaseStyle.Tokens.FirstLetter{value: ~c\"s\"},\n...>   %CaseStyle.Tokens.Char{value: ~c\"n\"},\n...>   %CaseStyle.Tokens.Char{value: ~c\"a\"},\n...>   %CaseStyle.Tokens.Char{value: ~c\"k\"},\n...>   %CaseStyle.Tokens.Char{value: ~c\"e\"},\n...>   %CaseStyle.Tokens.Spacing{},\n...>   %CaseStyle.Tokens.AfterSpacingChar{value: ~c\"c\"},\n...>   %CaseStyle.Tokens.Char{value: ~c\"a\"},\n...>   %CaseStyle.Tokens.Char{value: ~c\"s\"},\n...>   %CaseStyle.Tokens.Char{value: ~c\"e\"},\n...>   %CaseStyle.Tokens.End{}\n...>  ]\n...> }\niex> CaseStyle.to_string(input, CaseStyle.CamelCase)\n\"snakeCase\"\n```","ref":"CaseStyle.html#to_string/2"},{"type":"module","title":"CaseStyle.CamelCase","doc":"Module for converting from and to camelCase","ref":"CaseStyle.CamelCase.html"},{"type":"function","title":"CaseStyle.CamelCase.alpha/2","doc":"Parses the given `binary` as alpha.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the alpha (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#alpha/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.alpha/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#alpha/2-options"},{"type":"function","title":"CaseStyle.CamelCase.bit/2","doc":"Parses the given `binary` as bit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the bit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#bit/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.bit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#bit/2-options"},{"type":"function","title":"CaseStyle.CamelCase.case/2","doc":"Parses the given `binary` as case.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the case (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#case/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.case/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#case/2-options"},{"type":"function","title":"CaseStyle.CamelCase.char/2","doc":"Parses the given `binary` as char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#char/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#char/2-options"},{"type":"function","title":"CaseStyle.CamelCase.cr/2","doc":"Parses the given `binary` as cr.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the cr (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#cr/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.cr/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#cr/2-options"},{"type":"function","title":"CaseStyle.CamelCase.crlf/2","doc":"Parses the given `binary` as crlf.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the crlf (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#crlf/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.crlf/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#crlf/2-options"},{"type":"function","title":"CaseStyle.CamelCase.ctl/2","doc":"Parses the given `binary` as ctl.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ctl (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#ctl/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.ctl/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#ctl/2-options"},{"type":"function","title":"CaseStyle.CamelCase.digit/2","doc":"Parses the given `binary` as digit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#digit/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.digit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#digit/2-options"},{"type":"function","title":"CaseStyle.CamelCase.digitchar/2","doc":"Parses the given `binary` as digitchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digitchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#digitchar/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.digitchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#digitchar/2-options"},{"type":"function","title":"CaseStyle.CamelCase.dquote/2","doc":"Parses the given `binary` as dquote.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the dquote (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#dquote/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.dquote/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#dquote/2-options"},{"type":"function","title":"CaseStyle.CamelCase.first_char_lowercase/2","doc":"Parses the given `binary` as first_char_lowercase.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the first_char_lowercase (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#first_char_lowercase/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.first_char_lowercase/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#first_char_lowercase/2-options"},{"type":"function","title":"CaseStyle.CamelCase.first_char_uppercase/2","doc":"Parses the given `binary` as first_char_uppercase.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the first_char_uppercase (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#first_char_uppercase/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.first_char_uppercase/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#first_char_uppercase/2-options"},{"type":"function","title":"CaseStyle.CamelCase.hexdig/2","doc":"Parses the given `binary` as hexdig.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the hexdig (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#hexdig/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.hexdig/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#hexdig/2-options"},{"type":"function","title":"CaseStyle.CamelCase.htab/2","doc":"Parses the given `binary` as htab.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the htab (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#htab/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.htab/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#htab/2-options"},{"type":"function","title":"CaseStyle.CamelCase.lf/2","doc":"Parses the given `binary` as lf.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lf (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#lf/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.lf/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#lf/2-options"},{"type":"function","title":"CaseStyle.CamelCase.literal/2","doc":"Parses the given `binary` as literal.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the literal (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#literal/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.literal/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#literal/2-options"},{"type":"function","title":"CaseStyle.CamelCase.lowercase/2","doc":"Parses the given `binary` as lowercase.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lowercase (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#lowercase/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.lowercase/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#lowercase/2-options"},{"type":"function","title":"CaseStyle.CamelCase.lowerchar/2","doc":"Parses the given `binary` as lowerchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lowerchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#lowerchar/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.lowerchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#lowerchar/2-options"},{"type":"function","title":"CaseStyle.CamelCase.lwsp/2","doc":"Parses the given `binary` as lwsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lwsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#lwsp/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.lwsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#lwsp/2-options"},{"type":"function","title":"CaseStyle.CamelCase.might_be?/1","doc":"","ref":"CaseStyle.CamelCase.html#might_be?/1"},{"type":"function","title":"CaseStyle.CamelCase.octet/2","doc":"Parses the given `binary` as octet.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the octet (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#octet/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.octet/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#octet/2-options"},{"type":"function","title":"CaseStyle.CamelCase.parse/1","doc":"","ref":"CaseStyle.CamelCase.html#parse/1"},{"type":"function","title":"CaseStyle.CamelCase.parse!/1","doc":"","ref":"CaseStyle.CamelCase.html#parse!/1"},{"type":"function","title":"CaseStyle.CamelCase.sp/2","doc":"Parses the given `binary` as sp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the sp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#sp/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.sp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#sp/2-options"},{"type":"function","title":"CaseStyle.CamelCase.string/2","doc":"Parses the given `binary` as string.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the string (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#string/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.string/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#string/2-options"},{"type":"type","title":"CaseStyle.CamelCase.t/0","doc":"","ref":"CaseStyle.CamelCase.html#t:t/0"},{"type":"function","title":"CaseStyle.CamelCase.uppercase/2","doc":"Parses the given `binary` as uppercase.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uppercase (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#uppercase/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.uppercase/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#uppercase/2-options"},{"type":"function","title":"CaseStyle.CamelCase.upperchar/2","doc":"Parses the given `binary` as upperchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the upperchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#upperchar/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.upperchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#upperchar/2-options"},{"type":"function","title":"CaseStyle.CamelCase.vchar/2","doc":"Parses the given `binary` as vchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the vchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#vchar/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.vchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#vchar/2-options"},{"type":"function","title":"CaseStyle.CamelCase.wsp/2","doc":"Parses the given `binary` as wsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the wsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.CamelCase.html#wsp/2"},{"type":"function","title":"Options - CaseStyle.CamelCase.wsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.CamelCase.html#wsp/2-options"},{"type":"module","title":"CaseStyle.GraphQLCase","doc":"Module for converting from and to graphql.\nGraphQL casing is similar to camelCase only it doesn't allow that it starts with a number.\n\nExamples:\n```\nnormalText\n_1234GraphqlCase\n```","ref":"CaseStyle.GraphQLCase.html"},{"type":"function","title":"CaseStyle.GraphQLCase.might_be?/1","doc":"","ref":"CaseStyle.GraphQLCase.html#might_be?/1"},{"type":"module","title":"CaseStyle.KebabCase","doc":"Module for converting from and to kebab-case","ref":"CaseStyle.KebabCase.html"},{"type":"function","title":"CaseStyle.KebabCase.alpha/2","doc":"Parses the given `binary` as alpha.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the alpha (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#alpha/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.alpha/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#alpha/2-options"},{"type":"function","title":"CaseStyle.KebabCase.bit/2","doc":"Parses the given `binary` as bit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the bit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#bit/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.bit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#bit/2-options"},{"type":"function","title":"CaseStyle.KebabCase.case/2","doc":"Parses the given `binary` as case.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the case (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#case/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.case/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#case/2-options"},{"type":"function","title":"CaseStyle.KebabCase.char/2","doc":"Parses the given `binary` as char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#char/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#char/2-options"},{"type":"function","title":"CaseStyle.KebabCase.cr/2","doc":"Parses the given `binary` as cr.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the cr (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#cr/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.cr/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#cr/2-options"},{"type":"function","title":"CaseStyle.KebabCase.crlf/2","doc":"Parses the given `binary` as crlf.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the crlf (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#crlf/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.crlf/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#crlf/2-options"},{"type":"function","title":"CaseStyle.KebabCase.ctl/2","doc":"Parses the given `binary` as ctl.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ctl (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#ctl/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.ctl/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#ctl/2-options"},{"type":"function","title":"CaseStyle.KebabCase.digit/2","doc":"Parses the given `binary` as digit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#digit/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.digit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#digit/2-options"},{"type":"function","title":"CaseStyle.KebabCase.digitchar/2","doc":"Parses the given `binary` as digitchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digitchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#digitchar/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.digitchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#digitchar/2-options"},{"type":"function","title":"CaseStyle.KebabCase.digitchar_spacing/2","doc":"Parses the given `binary` as digitchar_spacing.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digitchar_spacing (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#digitchar_spacing/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.digitchar_spacing/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#digitchar_spacing/2-options"},{"type":"function","title":"CaseStyle.KebabCase.double_dash/2","doc":"Parses the given `binary` as double_dash.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the double_dash (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#double_dash/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.double_dash/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#double_dash/2-options"},{"type":"function","title":"CaseStyle.KebabCase.dquote/2","doc":"Parses the given `binary` as dquote.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the dquote (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#dquote/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.dquote/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#dquote/2-options"},{"type":"function","title":"CaseStyle.KebabCase.first_char/2","doc":"Parses the given `binary` as first_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the first_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#first_char/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.first_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#first_char/2-options"},{"type":"function","title":"CaseStyle.KebabCase.hexdig/2","doc":"Parses the given `binary` as hexdig.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the hexdig (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#hexdig/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.hexdig/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#hexdig/2-options"},{"type":"function","title":"CaseStyle.KebabCase.htab/2","doc":"Parses the given `binary` as htab.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the htab (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#htab/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.htab/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#htab/2-options"},{"type":"function","title":"CaseStyle.KebabCase.lf/2","doc":"Parses the given `binary` as lf.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lf (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#lf/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.lf/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#lf/2-options"},{"type":"function","title":"CaseStyle.KebabCase.literal/2","doc":"Parses the given `binary` as literal.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the literal (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#literal/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.literal/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#literal/2-options"},{"type":"function","title":"CaseStyle.KebabCase.lowercase/2","doc":"Parses the given `binary` as lowercase.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lowercase (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#lowercase/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.lowercase/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#lowercase/2-options"},{"type":"function","title":"CaseStyle.KebabCase.lowercase_spacing/2","doc":"Parses the given `binary` as lowercase_spacing.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lowercase_spacing (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#lowercase_spacing/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.lowercase_spacing/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#lowercase_spacing/2-options"},{"type":"function","title":"CaseStyle.KebabCase.lowerchar/2","doc":"Parses the given `binary` as lowerchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lowerchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#lowerchar/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.lowerchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#lowerchar/2-options"},{"type":"function","title":"CaseStyle.KebabCase.lwsp/2","doc":"Parses the given `binary` as lwsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lwsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#lwsp/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.lwsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#lwsp/2-options"},{"type":"function","title":"CaseStyle.KebabCase.might_be?/1","doc":"","ref":"CaseStyle.KebabCase.html#might_be?/1"},{"type":"function","title":"CaseStyle.KebabCase.octet/2","doc":"Parses the given `binary` as octet.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the octet (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#octet/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.octet/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#octet/2-options"},{"type":"function","title":"CaseStyle.KebabCase.parse/1","doc":"","ref":"CaseStyle.KebabCase.html#parse/1"},{"type":"function","title":"CaseStyle.KebabCase.parse!/1","doc":"","ref":"CaseStyle.KebabCase.html#parse!/1"},{"type":"function","title":"CaseStyle.KebabCase.sp/2","doc":"Parses the given `binary` as sp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the sp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#sp/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.sp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#sp/2-options"},{"type":"function","title":"CaseStyle.KebabCase.spacing_char/2","doc":"Parses the given `binary` as spacing_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the spacing_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#spacing_char/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.spacing_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#spacing_char/2-options"},{"type":"function","title":"CaseStyle.KebabCase.string/2","doc":"Parses the given `binary` as string.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the string (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#string/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.string/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#string/2-options"},{"type":"type","title":"CaseStyle.KebabCase.t/0","doc":"","ref":"CaseStyle.KebabCase.html#t:t/0"},{"type":"function","title":"CaseStyle.KebabCase.uppercase/2","doc":"Parses the given `binary` as uppercase.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uppercase (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#uppercase/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.uppercase/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#uppercase/2-options"},{"type":"function","title":"CaseStyle.KebabCase.uppercase_spacing/2","doc":"Parses the given `binary` as uppercase_spacing.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uppercase_spacing (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#uppercase_spacing/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.uppercase_spacing/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#uppercase_spacing/2-options"},{"type":"function","title":"CaseStyle.KebabCase.upperchar/2","doc":"Parses the given `binary` as upperchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the upperchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#upperchar/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.upperchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#upperchar/2-options"},{"type":"function","title":"CaseStyle.KebabCase.vchar/2","doc":"Parses the given `binary` as vchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the vchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#vchar/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.vchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#vchar/2-options"},{"type":"function","title":"CaseStyle.KebabCase.wsp/2","doc":"Parses the given `binary` as wsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the wsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.KebabCase.html#wsp/2"},{"type":"function","title":"Options - CaseStyle.KebabCase.wsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.KebabCase.html#wsp/2-options"},{"type":"module","title":"CaseStyle.PascalCase","doc":"Module for converting from and to PascalCase","ref":"CaseStyle.PascalCase.html"},{"type":"function","title":"CaseStyle.PascalCase.alpha/2","doc":"Parses the given `binary` as alpha.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the alpha (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#alpha/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.alpha/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#alpha/2-options"},{"type":"function","title":"CaseStyle.PascalCase.bit/2","doc":"Parses the given `binary` as bit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the bit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#bit/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.bit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#bit/2-options"},{"type":"function","title":"CaseStyle.PascalCase.case/2","doc":"Parses the given `binary` as case.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the case (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#case/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.case/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#case/2-options"},{"type":"function","title":"CaseStyle.PascalCase.char/2","doc":"Parses the given `binary` as char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#char/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#char/2-options"},{"type":"function","title":"CaseStyle.PascalCase.cr/2","doc":"Parses the given `binary` as cr.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the cr (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#cr/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.cr/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#cr/2-options"},{"type":"function","title":"CaseStyle.PascalCase.crlf/2","doc":"Parses the given `binary` as crlf.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the crlf (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#crlf/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.crlf/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#crlf/2-options"},{"type":"function","title":"CaseStyle.PascalCase.ctl/2","doc":"Parses the given `binary` as ctl.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ctl (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#ctl/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.ctl/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#ctl/2-options"},{"type":"function","title":"CaseStyle.PascalCase.digit/2","doc":"Parses the given `binary` as digit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#digit/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.digit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#digit/2-options"},{"type":"function","title":"CaseStyle.PascalCase.digitchar/2","doc":"Parses the given `binary` as digitchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digitchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#digitchar/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.digitchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#digitchar/2-options"},{"type":"function","title":"CaseStyle.PascalCase.dquote/2","doc":"Parses the given `binary` as dquote.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the dquote (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#dquote/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.dquote/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#dquote/2-options"},{"type":"function","title":"CaseStyle.PascalCase.first_char/2","doc":"Parses the given `binary` as first_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the first_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#first_char/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.first_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#first_char/2-options"},{"type":"function","title":"CaseStyle.PascalCase.hexdig/2","doc":"Parses the given `binary` as hexdig.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the hexdig (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#hexdig/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.hexdig/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#hexdig/2-options"},{"type":"function","title":"CaseStyle.PascalCase.htab/2","doc":"Parses the given `binary` as htab.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the htab (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#htab/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.htab/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#htab/2-options"},{"type":"function","title":"CaseStyle.PascalCase.lf/2","doc":"Parses the given `binary` as lf.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lf (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#lf/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.lf/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#lf/2-options"},{"type":"function","title":"CaseStyle.PascalCase.literal/2","doc":"Parses the given `binary` as literal.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the literal (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#literal/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.literal/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#literal/2-options"},{"type":"function","title":"CaseStyle.PascalCase.lowercase/2","doc":"Parses the given `binary` as lowercase.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lowercase (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#lowercase/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.lowercase/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#lowercase/2-options"},{"type":"function","title":"CaseStyle.PascalCase.lowerchar/2","doc":"Parses the given `binary` as lowerchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lowerchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#lowerchar/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.lowerchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#lowerchar/2-options"},{"type":"function","title":"CaseStyle.PascalCase.lwsp/2","doc":"Parses the given `binary` as lwsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lwsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#lwsp/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.lwsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#lwsp/2-options"},{"type":"function","title":"CaseStyle.PascalCase.might_be?/1","doc":"","ref":"CaseStyle.PascalCase.html#might_be?/1"},{"type":"function","title":"CaseStyle.PascalCase.octet/2","doc":"Parses the given `binary` as octet.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the octet (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#octet/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.octet/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#octet/2-options"},{"type":"function","title":"CaseStyle.PascalCase.parse/1","doc":"","ref":"CaseStyle.PascalCase.html#parse/1"},{"type":"function","title":"CaseStyle.PascalCase.parse!/1","doc":"","ref":"CaseStyle.PascalCase.html#parse!/1"},{"type":"function","title":"CaseStyle.PascalCase.sp/2","doc":"Parses the given `binary` as sp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the sp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#sp/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.sp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#sp/2-options"},{"type":"function","title":"CaseStyle.PascalCase.string/2","doc":"Parses the given `binary` as string.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the string (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#string/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.string/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#string/2-options"},{"type":"type","title":"CaseStyle.PascalCase.t/0","doc":"","ref":"CaseStyle.PascalCase.html#t:t/0"},{"type":"function","title":"CaseStyle.PascalCase.uppercase/2","doc":"Parses the given `binary` as uppercase.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uppercase (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#uppercase/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.uppercase/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#uppercase/2-options"},{"type":"function","title":"CaseStyle.PascalCase.upperchar/2","doc":"Parses the given `binary` as upperchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the upperchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#upperchar/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.upperchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#upperchar/2-options"},{"type":"function","title":"CaseStyle.PascalCase.vchar/2","doc":"Parses the given `binary` as vchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the vchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#vchar/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.vchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#vchar/2-options"},{"type":"function","title":"CaseStyle.PascalCase.wsp/2","doc":"Parses the given `binary` as wsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the wsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.PascalCase.html#wsp/2"},{"type":"function","title":"Options - CaseStyle.PascalCase.wsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.PascalCase.html#wsp/2-options"},{"type":"module","title":"CaseStyle.SnakeCase","doc":"Module for converting from and to snake_case","ref":"CaseStyle.SnakeCase.html"},{"type":"function","title":"CaseStyle.SnakeCase.alpha/2","doc":"Parses the given `binary` as alpha.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the alpha (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#alpha/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.alpha/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#alpha/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.bit/2","doc":"Parses the given `binary` as bit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the bit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#bit/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.bit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#bit/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.case/2","doc":"Parses the given `binary` as case.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the case (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#case/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.case/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#case/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.char/2","doc":"Parses the given `binary` as char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#char/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#char/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.cr/2","doc":"Parses the given `binary` as cr.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the cr (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#cr/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.cr/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#cr/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.crlf/2","doc":"Parses the given `binary` as crlf.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the crlf (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#crlf/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.crlf/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#crlf/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.ctl/2","doc":"Parses the given `binary` as ctl.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ctl (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#ctl/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.ctl/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#ctl/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.digit/2","doc":"Parses the given `binary` as digit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#digit/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.digit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#digit/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.digitchar/2","doc":"Parses the given `binary` as digitchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digitchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#digitchar/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.digitchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#digitchar/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.digitchar_spacing/2","doc":"Parses the given `binary` as digitchar_spacing.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digitchar_spacing (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#digitchar_spacing/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.digitchar_spacing/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#digitchar_spacing/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.double_underscore/2","doc":"Parses the given `binary` as double_underscore.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the double_underscore (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#double_underscore/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.double_underscore/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#double_underscore/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.dquote/2","doc":"Parses the given `binary` as dquote.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the dquote (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#dquote/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.dquote/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#dquote/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.first_char/2","doc":"Parses the given `binary` as first_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the first_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#first_char/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.first_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#first_char/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.hexdig/2","doc":"Parses the given `binary` as hexdig.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the hexdig (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#hexdig/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.hexdig/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#hexdig/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.htab/2","doc":"Parses the given `binary` as htab.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the htab (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#htab/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.htab/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#htab/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.lf/2","doc":"Parses the given `binary` as lf.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lf (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#lf/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.lf/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#lf/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.literal/2","doc":"Parses the given `binary` as literal.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the literal (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#literal/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.literal/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#literal/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.lowercase/2","doc":"Parses the given `binary` as lowercase.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lowercase (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#lowercase/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.lowercase/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#lowercase/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.lowercase_spacing/2","doc":"Parses the given `binary` as lowercase_spacing.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lowercase_spacing (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#lowercase_spacing/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.lowercase_spacing/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#lowercase_spacing/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.lowerchar/2","doc":"Parses the given `binary` as lowerchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lowerchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#lowerchar/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.lowerchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#lowerchar/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.lwsp/2","doc":"Parses the given `binary` as lwsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the lwsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#lwsp/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.lwsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#lwsp/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.might_be?/1","doc":"","ref":"CaseStyle.SnakeCase.html#might_be?/1"},{"type":"function","title":"CaseStyle.SnakeCase.octet/2","doc":"Parses the given `binary` as octet.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the octet (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#octet/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.octet/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#octet/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.parse/1","doc":"","ref":"CaseStyle.SnakeCase.html#parse/1"},{"type":"function","title":"CaseStyle.SnakeCase.parse!/1","doc":"","ref":"CaseStyle.SnakeCase.html#parse!/1"},{"type":"function","title":"CaseStyle.SnakeCase.sp/2","doc":"Parses the given `binary` as sp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the sp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#sp/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.sp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#sp/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.spacing_char/2","doc":"Parses the given `binary` as spacing_char.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the spacing_char (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#spacing_char/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.spacing_char/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#spacing_char/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.string/2","doc":"Parses the given `binary` as string.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the string (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#string/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.string/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#string/2-options"},{"type":"type","title":"CaseStyle.SnakeCase.t/0","doc":"","ref":"CaseStyle.SnakeCase.html#t:t/0"},{"type":"function","title":"CaseStyle.SnakeCase.uppercase/2","doc":"Parses the given `binary` as uppercase.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uppercase (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#uppercase/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.uppercase/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#uppercase/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.uppercase_spacing/2","doc":"Parses the given `binary` as uppercase_spacing.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uppercase_spacing (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#uppercase_spacing/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.uppercase_spacing/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#uppercase_spacing/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.upperchar/2","doc":"Parses the given `binary` as upperchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the upperchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#upperchar/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.upperchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#upperchar/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.vchar/2","doc":"Parses the given `binary` as vchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the vchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#vchar/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.vchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#vchar/2-options"},{"type":"function","title":"CaseStyle.SnakeCase.wsp/2","doc":"Parses the given `binary` as wsp.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the wsp (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"CaseStyle.SnakeCase.html#wsp/2"},{"type":"function","title":"Options - CaseStyle.SnakeCase.wsp/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"CaseStyle.SnakeCase.html#wsp/2-options"},{"type":"module","title":"CaseStyle.Tokens","doc":"`CaseStyle.Tokens.Spacing`\nhow words are split\n\n`CaseStyle.Tokens.FirstLetter`\nfirst char in the stream\n\n`CaseStyle.Tokens.Char`\njust a char\n\n`CaseStyle.Tokens.AfterSpacingChar`\nfirst char after split\n\n`CaseStyle.Tokens.Digit`\njust a digit\n\n`CaseStyle.Tokens.AfterSpacingDigit`\nfirst digit after split\n\n`CaseStyle.Tokens.Literal`\ntext that should not be treated\n\n`CaseStyle.Tokens.Start`\nstart of the stream\n\n`CaseStyle.Tokens.End`\nend of the stream","ref":"CaseStyle.Tokens.html"},{"type":"type","title":"CaseStyle.Tokens.possible_tokens/0","doc":"","ref":"CaseStyle.Tokens.html#t:possible_tokens/0"},{"type":"type","title":"CaseStyle.Tokens.t/0","doc":"","ref":"CaseStyle.Tokens.html#t:t/0"},{"type":"module","title":"CaseStyle.Tokens.AfterSpacingChar","doc":"first char after split","ref":"CaseStyle.Tokens.AfterSpacingChar.html"},{"type":"type","title":"CaseStyle.Tokens.AfterSpacingChar.t/0","doc":"","ref":"CaseStyle.Tokens.AfterSpacingChar.html#t:t/0"},{"type":"module","title":"CaseStyle.Tokens.AfterSpacingDigit","doc":"first digit after split","ref":"CaseStyle.Tokens.AfterSpacingDigit.html"},{"type":"type","title":"CaseStyle.Tokens.AfterSpacingDigit.t/0","doc":"","ref":"CaseStyle.Tokens.AfterSpacingDigit.html#t:t/0"},{"type":"module","title":"CaseStyle.Tokens.Char","doc":"just a char","ref":"CaseStyle.Tokens.Char.html"},{"type":"type","title":"CaseStyle.Tokens.Char.t/0","doc":"","ref":"CaseStyle.Tokens.Char.html#t:t/0"},{"type":"module","title":"CaseStyle.Tokens.Digit","doc":"just a digit","ref":"CaseStyle.Tokens.Digit.html"},{"type":"type","title":"CaseStyle.Tokens.Digit.t/0","doc":"","ref":"CaseStyle.Tokens.Digit.html#t:t/0"},{"type":"module","title":"CaseStyle.Tokens.End","doc":"end of the stream","ref":"CaseStyle.Tokens.End.html"},{"type":"type","title":"CaseStyle.Tokens.End.t/0","doc":"","ref":"CaseStyle.Tokens.End.html#t:t/0"},{"type":"module","title":"CaseStyle.Tokens.FirstLetter","doc":"first char in the stream","ref":"CaseStyle.Tokens.FirstLetter.html"},{"type":"type","title":"CaseStyle.Tokens.FirstLetter.t/0","doc":"","ref":"CaseStyle.Tokens.FirstLetter.html#t:t/0"},{"type":"module","title":"CaseStyle.Tokens.Literal","doc":"text that should not be treated","ref":"CaseStyle.Tokens.Literal.html"},{"type":"type","title":"CaseStyle.Tokens.Literal.t/0","doc":"","ref":"CaseStyle.Tokens.Literal.html#t:t/0"},{"type":"module","title":"CaseStyle.Tokens.Spacing","doc":"how words are split","ref":"CaseStyle.Tokens.Spacing.html"},{"type":"type","title":"CaseStyle.Tokens.Spacing.t/0","doc":"","ref":"CaseStyle.Tokens.Spacing.html#t:t/0"},{"type":"module","title":"CaseStyle.Tokens.Start","doc":"start of the stream","ref":"CaseStyle.Tokens.Start.html"},{"type":"type","title":"CaseStyle.Tokens.Start.t/0","doc":"","ref":"CaseStyle.Tokens.Start.html#t:t/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}